I actually had quite a bit of fun on assignment 2. Proofs are less stressful when you have plenty of time to do them, and I got really creative with some of my answers; in the same vein, I think some of my answers were a bit excessive, so I hope the person marking them doesn't mind! While the proofs on the tests weren't that hard, and pretty similar to the ones on the assignment, I did have some trouble with the time constraints. I'm not really sure how I can try to improve on this for the next test, since no amount of studying or preparation can really help you solve proofs quickly; I guess I'll just try to offset the marks by working hard on the assignments and tutorials.
I had to miss Friday's lecture because of a cold, which is unfortunate because it seems like some really important material was covered. While I can figure out some of the material from the annotated slides, I certainly don't understand all of it. I can make the Friday office hours, so I'll see if I can get some assistance there, or even at my tutorial.
Saturday, 8 November 2014
Sunday, 2 November 2014
Entry 7 - Week 8
Assignment 2 is coming along very well. At first, it was a bit difficult to find the right place to start my proofs, but once I got started it turns out that each of the proofs are actually strongly connected to each other. While the proofs are considerably harder than the ones we've gotten in our tutorials, the format is the same, so for once I'm not too worried about proper form when writing up an assignment!
One thing that really stood out for me during Friday's lecture was when Professor Heap told us that proofs can actually contain sentences and writing. While working through assignment 2's more difficult proofs, I found that sticking to a bunch of "Then..." statements was really awkward and limiting; being able to actually write in an argument would have been much more convenient. I'd already finished most of my proofs by Friday, so this discovery came a bit late, but it's good to know for the future.
Looking at the sample test given, I'm feeling confident in my grasp of the material so far. Between the tutorials and the assignment, I'm not having too many difficulties with proofs. I think I could still use some help on complexity and big-O, but it doesn't look like that will be on Wednesday's test, so I'll deal with it after.
One thing that really stood out for me during Friday's lecture was when Professor Heap told us that proofs can actually contain sentences and writing. While working through assignment 2's more difficult proofs, I found that sticking to a bunch of "Then..." statements was really awkward and limiting; being able to actually write in an argument would have been much more convenient. I'd already finished most of my proofs by Friday, so this discovery came a bit late, but it's good to know for the future.
Looking at the sample test given, I'm feeling confident in my grasp of the material so far. Between the tutorials and the assignment, I'm not having too many difficulties with proofs. I think I could still use some help on complexity and big-O, but it doesn't look like that will be on Wednesday's test, so I'll deal with it after.
Sunday, 26 October 2014
Entry 6 - Week 7
Wednesday's lecture on complexity and worst-cases moved pretty quickly, and I didn't have the time to really grasp all of the content. I reviewed the slides on the webpage to catch up, and also checked chapter 4 of the course notes, which were actually really helpful and intuitive. What I still find odd, though, is that the number of steps for an insertion or selection sort increases according to a quadratic. I understand why the number of steps in these sorts increases exponentially, but I have no idea how you would prove that the number of steps can be represented by, specifically, a quadratic. I think that's beyond the material we've covered so far, though. Maybe we'll cover it next week.
The week's tutorial went well, and I'm feeling much more confident going into them now that I've been through a couple. The due date for Assignment 2 is coming really quickly, though, so I think I'll get started on that.
The week's tutorial went well, and I'm feeling much more confident going into them now that I've been through a couple. The due date for Assignment 2 is coming really quickly, though, so I think I'll get started on that.
Sunday, 19 October 2014
Entry 5 - Week 6
No tutorial or Monday lecture this week because of Thanksgiving, so there isn't all that much to say this week. Most of the stuff in the lecture was pretty intuitive; proving negations is just combining what we learned about negations with the work we've been doing on proofs. I did the problems for next week's tutorial and didn't have too much trouble, so I'm feeling fairly confident for what's ahead.
Monday, 13 October 2014
Entry 4 - Week 5
The test has been this week's big focus, though I was pleasantly surprised to find it fairly simple and straightforward. It was really similar to the test from last year which we were provided for practice; having reviewed the practice test the night before, I was perfectly comfortable sitting down for this one. I'm feeling confident that I performed well this test, and hope that it will continue in the future.
I spent most of this week obsessing over and preparing for the test, so I don't really remember much else of what we did in class. I understood the tutorial on proof structures well enough; we've been doing a lot of proofs in math, which I think helped me to get in the right mindset. I actually found the tutorial material to be fairly interesting; in math, we've gone right into actually doing the proofs, while the tutorial took a more theoretical approach regarding the structure of a proof; breaking a larger proof down into several smaller components which each need to be proven through, then working through these components individually. I think this way of thinking about proofs will help me out in both classes.
I spent most of this week obsessing over and preparing for the test, so I don't really remember much else of what we did in class. I understood the tutorial on proof structures well enough; we've been doing a lot of proofs in math, which I think helped me to get in the right mindset. I actually found the tutorial material to be fairly interesting; in math, we've gone right into actually doing the proofs, while the tutorial took a more theoretical approach regarding the structure of a proof; breaking a larger proof down into several smaller components which each need to be proven through, then working through these components individually. I think this way of thinking about proofs will help me out in both classes.
Saturday, 4 October 2014
Third Entry - Week 4
I found this week's material to be a bit more challenging than before, but not overwhelming. I went into the tutorial confident in most of my answers, although I could not figure out how to prove the equivalency of the statements in Part 1. I wasn't sure how to properly turn implications into conjunctions and disjunctions. Once my TA explained that (P ⇒ Q) ⇔ (¬P ∨ Q), the questions became very clear to me, and I was very prepared for the quiz at the end of the tutorial. While reviewing my notes later, I discovered that we had actually covered this during one of the lectures last week; in the future, I think I'll review the past few weeks' notes if I ever get stuck on a tutorial problem set.
One thing that I found particularly challenging during this week's lectures was the definition of a limit. I understood all the of material about proofs, but I get confused when it comes to the definition of a limit. To use one of the examples in the lecture, I just don't see how ∀e ∈ R+ , ∃ d∈ R+ , ∀x ∈ R, | x - 0.6| < d ⇒ | x2 - 0.6| < e proves that the limit as x approaches 0.6 of x2 equals 0.36. We're covering the same thing in math, and I'm having similar difficulties there. Since this seems to be pretty important to both courses, I think I should devote some time to making sure I understand it properly. My math lectures have been focusing heavily on the definition of a limit recently, and I have extensive notes from those, so this weekend I'm going to sit down with both sets of notes and see if, between them, I can figure something out. Failing that, I'll get clarification during my next tutorial for either class (they're actually both on Tuesday, so I'll have plenty of opportunity to make sure I understand everything about the concept).
Assignment 1 was due yesterday, and I'm feeling very confident in my answers. I had to think for a while on some of the questions, but none of them totally perplexed me. Finishing the assignment early also meant I had a lot of time to check over my answers. I'm eager to see the results!
One thing that I found particularly challenging during this week's lectures was the definition of a limit. I understood all the of material about proofs, but I get confused when it comes to the definition of a limit. To use one of the examples in the lecture, I just don't see how ∀e ∈ R+ , ∃ d∈ R+ , ∀x ∈ R, | x - 0.6| < d ⇒ | x2 - 0.6| < e proves that the limit as x approaches 0.6 of x2 equals 0.36. We're covering the same thing in math, and I'm having similar difficulties there. Since this seems to be pretty important to both courses, I think I should devote some time to making sure I understand it properly. My math lectures have been focusing heavily on the definition of a limit recently, and I have extensive notes from those, so this weekend I'm going to sit down with both sets of notes and see if, between them, I can figure something out. Failing that, I'll get clarification during my next tutorial for either class (they're actually both on Tuesday, so I'll have plenty of opportunity to make sure I understand everything about the concept).
Assignment 1 was due yesterday, and I'm feeling very confident in my answers. I had to think for a while on some of the questions, but none of them totally perplexed me. Finishing the assignment early also meant I had a lot of time to check over my answers. I'm eager to see the results!
Saturday, 27 September 2014
Second Entry - Week 3
The course material has gotten a little more challenging this week. Going into the tutorial, I was a bit confused regarding when in symbolic statements one should use a comma, and when one should use an implication sign (=>). While doing the preparatory exercises for the tutorial, I was under the impression that every statement had to include an implication sign, and was not entirely sure where commas were supposed to be placed. Fortunately, the tutorial gave me a chance to get clarification from my TA about this, and I have a much better understanding of how to write statements properly; the implication sign is used in if/then situations, while a comma is used when making a definitive claim about a relationship between variables. I personally found the answer to question 1f in the tutorial problems,
∀x∈C ∀y∈C ∀y2∈C ∀y3∈C, (P(y1,x) ∧ P(y2,x) ∧ P(y3,x)) => (y1 = y2 ∪ y1 = y3 ∪ y2 = y3)
to be very illustrative of this, and it really helped me to understand the concept. The comma indicates that a claim is being made about a relationship between the four variables, and the implication sign indicates that if the antecedent is true, then the consequent must also be true.
During the paper-folding exercise in Friday's class, Professor Heap's hint that we should "think recursively" really opened my eyes to the problem. Just before, I had been drawing physical diagrams of the paper to try to figure out what in the folding process determined whether a vertex pointed up or down. After hearing that we should think recursively, I realized that there was a distinct, repeating pattern in the position of up and down vertices. Though it is difficult to explain in words, observe the following (kind of awkward) diagram of vertices:
(1st fold) D
(2nd fold) U D D
(3rd fold) U U D D U D D
(4th fold) U U D U U D D D U U D D U D D
The diagram is a triangle, and as you make more folds, the triangle gets larger. Interestingly, you can always build the next level of the triangle by manipulating the previous level. Take the third level of folding, UUDDUDD, and compare it to the second level, UDD. The ending of the third level, UUDDUDD, is the same as the second level. The start of the third level, UUDDUDD, is the second level with the positions and direction of the vertices reversed. The downward vertex in the center, UUDDUDD, remains constant. This is an awfully strange formula, but it holds true for the 4th level of folding; it starts with the third level with positions and direction reversed, UUDUUDDDUUDDUDD, retains the down vertex in the center, then repeats the third line, UUDUUDDDUUDDUDD. I think this is what Professor Heap meant by thinking recursively; by applying the same process to each line, you can produce the following line. Even though lines get longer and longer the more folds you make, these are just larger iterations of the same basic problem. I find all of this a really interesting way of thinking. On a side note, it also reminds me of Pascal's Triangle; the idea of creating the next line of the triangle by manipulating previous ones. I wonder if there could be some relation.
∀x∈C ∀y∈C ∀y2∈C ∀y3∈C, (P(y1,x) ∧ P(y2,x) ∧ P(y3,x)) => (y1 = y2 ∪ y1 = y3 ∪ y2 = y3)
to be very illustrative of this, and it really helped me to understand the concept. The comma indicates that a claim is being made about a relationship between the four variables, and the implication sign indicates that if the antecedent is true, then the consequent must also be true.
During the paper-folding exercise in Friday's class, Professor Heap's hint that we should "think recursively" really opened my eyes to the problem. Just before, I had been drawing physical diagrams of the paper to try to figure out what in the folding process determined whether a vertex pointed up or down. After hearing that we should think recursively, I realized that there was a distinct, repeating pattern in the position of up and down vertices. Though it is difficult to explain in words, observe the following (kind of awkward) diagram of vertices:
(1st fold) D
(2nd fold) U D D
(3rd fold) U U D D U D D
(4th fold) U U D U U D D D U U D D U D D
The diagram is a triangle, and as you make more folds, the triangle gets larger. Interestingly, you can always build the next level of the triangle by manipulating the previous level. Take the third level of folding, UUDDUDD, and compare it to the second level, UDD. The ending of the third level, UUDDUDD, is the same as the second level. The start of the third level, UUDDUDD, is the second level with the positions and direction of the vertices reversed. The downward vertex in the center, UUDDUDD, remains constant. This is an awfully strange formula, but it holds true for the 4th level of folding; it starts with the third level with positions and direction reversed, UUDUUDDDUUDDUDD, retains the down vertex in the center, then repeats the third line, UUDUUDDDUUDDUDD. I think this is what Professor Heap meant by thinking recursively; by applying the same process to each line, you can produce the following line. Even though lines get longer and longer the more folds you make, these are just larger iterations of the same basic problem. I find all of this a really interesting way of thinking. On a side note, it also reminds me of Pascal's Triangle; the idea of creating the next line of the triangle by manipulating previous ones. I wonder if there could be some relation.
Subscribe to:
Posts (Atom)